#
# Please do not update/rebuild/touch this package before asking first to luc, mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define rel 1

Name:           kdeconnect-kde
Summary:        Connect and sync your devices with KDE
Version:        0.8
Release:        %mkrel %{rel}
Group:          Graphical desktop/KDE
License:        GPLv2
URL:            http://albertvaka.wordpress.com/ 
Source0:        http://download.kde.org/unstable/kdeconnect/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kdelibs4-devel
BuildRequires:  pkgconfig(QJson) >= 0.8.1
BuildRequires:  pkgconfig(libfakekey)
BuildRequires:  pkgconfig(xtst)

Conflicts:      kdeconnect-kded < 0.4
Obsoletes:      kdeconnect-kded < 0.4

Recommends:     sshfs-fuse

%description
KDE Connect adds communication between KDE and your smartphone or tablet

%files  -f %{name}.lang
%doc COPYING
%{_kde_bindir}/kdeconnect-cli
%{_kde_libdir}/kde4/imports/org/kde/kdeconnect
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/kde4/libexec/kdeconnectd
%{_kde_applicationsdir}/kdeconnect.desktop
%{_kde_appsdir}/kdeconnect/kdeconnect.notifyrc
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/contents/ui/Battery.qml
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/contents/ui/CompactRepresentation.qml
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/contents/ui/DeviceDelegate.qml
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/contents/ui/Sftp.qml
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/contents/ui/kdeconnect.qml
%{_kde_appsdir}/plasma/plasmoids/kdeconnect/metadata.desktop
%{_kde_iconsdir}/hicolor/*/apps/kdeconnect.png
%{_kde_iconsdir}/hicolor/scalable/apps/kdeconnect.svgz
%{_datadir}/dbus-1/interfaces/*.xml
%{_datadir}/dbus-1/services/org.kde.kdeconnect.service
%{_kde_services}/kcm_kdeconnect.desktop
%{_kde_services}/kdeconnect.protocol
%{_kde_services}/kdeconnect_battery.desktop
%{_kde_services}/kdeconnect_clipboard.desktop
%{_kde_services}/kdeconnect_mousepad.desktop
%{_kde_services}/kdeconnect_mpriscontrol.desktop
%{_kde_services}/kdeconnect_notifications.desktop
%{_kde_services}/kdeconnect_pausemusic.desktop
%{_kde_services}/kdeconnect_pausemusic_config.desktop
%{_kde_services}/kdeconnect_ping.desktop
%{_kde_services}/kdeconnect_screensaver_inhibit.desktop
%{_kde_services}/kdeconnect_sftp.desktop
%{_kde_services}/kdeconnect_sftp_config.desktop
%{_kde_services}/kdeconnect_share.desktop
%{_kde_services}/kdeconnect_share_config.desktop
%{_kde_services}/kdeconnect_telephony.desktop
%{_kde_services}/kdeconnectsendfile.desktop
%{_kde_services}/kded/kdeconnect.desktop
%{_kde_services}/plasma-kdeconnect.desktop
%{_kde_servicetypes}/kdeconnect_plugin.desktop

#------------------------------------------------------------------------------

%define kdeconnectcore_major 1
%define libkdeconnectcore %mklibname kdeconnectcore %{kdeconnectcore_major}

%package -n %{libkdeconnectcore}
Summary:    Runtime library for %{name}
Group:      System/Libraries

%description -n %{libkdeconnectcore}
Runtime library for %{name}

%files -n %{libkdeconnectcore}
%{_kde_libdir}/libkdeconnectcore.so.%{kdeconnectcore_major}*

#------------------------------------------------------------------------------

%define kdeconnectinterfaces_major 1
%define libkdeconnectinterfaces %mklibname kdeconnectinterfaces %{kdeconnectinterfaces_major}

%package -n %{libkdeconnectinterfaces}
Summary:    Runtime library for %{name}
Group:      System/Libraries

%description -n %{libkdeconnectinterfaces}
Runtime library for %{name}

%files -n %{libkdeconnectinterfaces}
%{_kde_libdir}/libkdeconnectinterfaces.so.%{kdeconnectinterfaces_major}*

#------------------------------------------------------------------------------

%package devel
Summary: Development files for %{name}
Group:   Development/KDE and Qt

Obsoletes: %{_lib}kdeconnect-devel < 0.7.2

Requires:  %{name} = %{version}-%{release}
Requires:  %{libkdeconnectcore} = %{version}-%{release}
Requires:  %{libkdeconnectinterfaces} = %{version}-%{release}

%description devel
Files needed to build applications based on %{name}.

%files devel
%doc README
%{_kde_libdir}/libkdeconnectcore.so
%{_kde_libdir}/libkdeconnectinterfaces.so
%{_kde_includedir}/KDEConnect
%{_kde_includedir}/kdeconnect
%{_kde_libdir}/cmake/KDEConnect

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4
%make

%install
%makeinstall_std -C build
%find_lang %{name} kdeconnect-cli kdeconnect-core kdeconnect-filetiemaction kdeconnect-kcm kdeconnect-kded kdeconnect-kio kdeconnect-plasmoid kdeconnect-plugins plasma_applet_kdeconnect


%changelog
* Sat Feb 21 2015 lmenut <lmenut> 0.8-1.mga5
+ Revision: 816286
- Update to 0.8

* Sat Oct 18 2014 lmenut <lmenut> 0.7.3-1.mga5
+ Revision: 787854
- Update to 0.7.3

* Wed Oct 15 2014 umeabot <umeabot> 0.7.2-3.mga5
+ Revision: 740541
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.2-2.mga5
+ Revision: 680991
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Tue Jul 22 2014 lmenut <lmenut> 0.7.2-1.mga5
+ Revision: 655686
- Update to 0.7.2
  fix files list
- fix source, groups, summaries and descriptions

* Mon Nov 11 2013 lmenut <lmenut> 0.4.1-1.mga4
+ Revision: 550454
- Update to 0.4.1
- Update to 0.4
  fix files list
- Rename package to match upstream name

* Mon Oct 21 2013 umeabot <umeabot> 0.3-1.mga4
+ Revision: 539358
- Mageia 4 Mass Rebuild

* Sat Oct 05 2013 mikala <mikala> 0.3-0.mga4
+ Revision: 491942
- Update tarball to 0.3
- Fix files list

* Sun Aug 25 2013 neoclust <neoclust> 0.0-0.20130825.1.mga4
+ Revision: 471612
- imported package kdeconnect-kded

